This is the mail archive of the cygwin-apps mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: [RFU - test] flk, fltk_gdi

On Mon, 2010-05-10 at 17:57 -0500, Yaakov (Cygwin/X) wrote:
> On 2010-05-10 15:52, A.R. Burgers wrote:
> > I would like to have the following packages uploaded as test package:
> Whoa, there are a few problems here.
> 1) libfltk1.1-devel should be unversioned (libfltk-devel), as this 
> package will eventually be updated to 1.3 versions (which are NOT 
> parallel-installable to 1.1) if and when that branch goes stable.  IOW 
> there cannot be both libfltk1.1-devel and libfltk1.3-devel, as the files 
> they provide will collide.
> 2) For a similar reason, we can't have both X11 and GDI versions of fltk 
> because there can only be one libfltk-devel (ot, and I think we agreed 
> that it would be X11.  The libfltk1.1-gdi (for compatibility with 
> packages already built for the GDI FLTK) is okay, as those library names 
> include "nox" and won't collide with the X11 versions.  This also 
> removes the need for a libfltk1.1-include, which would be part of 
> libfltk-devel.

Ping?  Any reason you can't use my version from Ports?


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]